EMF::EMRCREATEPEN Class Reference

EMF Pen. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRCREATEPEN:

## Public Member Functions

| EMRCREATEPEN (PEN *pen, HGDIOBJ handle)
| EMRCREATEPEN (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Pen.

Create a new pen (used for drawing lines, arcs, rectangles, etc.).

## Constructor & Destructor Documentation

## EMRCREATEPEN() [1/2]

EMRCREATEPEN::EMRCREATEPEN | ( | PEN * | pen,
|  | HGDIOBJ | handle )

Parameters

  pen | an instance of a PEN object.
  handle | the PEN object's handle.

References EMRCREATEPEN().

Referenced by EMRCREATEPEN().

## EMRCREATEPEN() [2/2]

EMRCREATEPEN::EMRCREATEPEN | ( | DATASTREAM & | ds | ) |

Construct a CreatePen record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMRCREATEPEN::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

References EMF::METAFILEDEVICECONTEXT::emf_handles.

## serialize()

bool EMF::EMRCREATEPEN::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRCREATEPEN::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following files:

- libemf.h
- libemf.cpp